<?php
session_start();
include_once 'classes/TestProjektSmarty.class.php';
require_once("config.inc.php");
$templatename = substr(basename($_SERVER['PHP_SELF']),0,-3)."html";
$smarty = new Smarty();
require_once "language/german.inc.php";

require_once("func_verlauf.php");
require_once("func_mail_einstell.php");
require_once("func_htmlclean.php");
require_once("func_gutachter_beteiligter_del.php");
#
#  GGF den Gutachtern, Beteiligten die Rechte wieder wegnehmen, wenn Sie nirgends anders mitwirken
#




# Wenn Seite neu aufgerufen wird, dann alle Sessions, die mit "abschluss_" beginnen löschen
if($_GET['new'] == 1){;
  $search_prefix = 'abschluss_';
  $search_len = strlen($search_prefix);
  foreach( $_SESSION as $key => $value){
    if ( substr( $key, 0, $search_len) == $search_prefix) {
      unset( $_SESSION[$key]);
    }
  }
}

$action = $_GET['action'];
if($action == ''){

    if($_GET['error'] == 1){
      $smarty->assign('abschluss_pflichtfelder', "1");
      $smarty->assign('abschluss_error_text', "Es ist zu einem Fehler gekommen. Bitte treffen Sie eine Auswahl.");
    }

  $db = dbconnect();
    
    # Alle Vorschläge, die in einer Sitzung behandelt wurden (Sitzungstermin liegt in Vergangenheit)
    $query = "SELECT a.vid, betreff, date_format(erfass_dat, '%d.%m.%Y (%H:%i)') datum, vorname, nachname
                FROM imt_vorschlag a, imt_sitzungen_vorschlag b, imt_user c
               WHERE a.vid = b.vid
                 AND a.imtuid = c.imtuid
                 AND b.isid IN (SELECT isid FROM imt_sitzungen WHERE datum <= now())
                 AND a.vid NOT IN (SELECT vid FROM imt_verlauf WHERE status IN ('7','8'))
               ORDER BY erfass_dat ASC";

    $result = $db->query ($query)
              or die ("Cannot execute query");
    
    $table_data1 = array();
      
    while ($row = $result->fetch_array()){
     
      array_push($table_data1, array(  
       'vid' => $row['vid'],
       'betreff' => $row['betreff'],
       'datum' => $row['datum'],
       'vorname' => $row['vorname'],
       'nachname' => $row['nachname']
      )
      );
    }
    
    $smarty->assign('table_data1', $table_data1);
    
  
}

if($action == 'step2'){
#echo $action;
 
  # Daten aufbereiten für zurückbutton
  if(isset($_SESSION["abschluss_annahme"])){
    $smarty->assign('abschluss_annahme', $_SESSION["abschluss_annahme"]);
  }else{
    # Standard ist Ja bei der Annahme
    $smarty->assign('abschluss_annahme', "J");
  }
  
  
  

  if(isset($_POST["auswahl"])){
    $vid = $_POST["auswahl"];
    $_SESSION["abschluss_vid"] = $vid;
  }
  
  if($_SESSION["abschluss_vid"] == ''){
    $fehler = 1;
    echo "<meta http-equiv=\"refresh\" content=\"0; URL=".$_SERVER['PHP_SELF']."?error=1\">";
  }
  
  if(!isset($fehler )){

  }
  
  
}

if($action == 'step3'){
#echo $action;
  # Daten aufbereiten für zurückbutton
  if(isset($_SESSION["abschluss_bemerkung"])){
    $smarty->assign('abschluss_bemerkung', $_SESSION["abschluss_bemerkung"]);
  }

  if(isset($_POST["annahme"])){
    $annahme = $_POST["annahme"];
    $_SESSION["abschluss_annahme"] = $annahme;
    if($annahme == 'Z'){
         echo "<meta http-equiv=\"refresh\" content=\"0; URL=".$_SERVER['PHP_SELF']."?action=zuruckstell\">";
    }
  }

  if($_SESSION["abschluss_annahme"] == 'J'){
    $smarty->assign('abschluss_field_begruendung', "Bitte begr&uuml;nden Sie die Annahme des Vorschlags");
  }else{
    $smarty->assign('abschluss_field_begruendung', "Bitte begr&uuml;nden Sie die Ablehnung des Vorschlags");
  }

  if($_GET['error'] == 1){
    $smarty->assign('abschluss_annahme', $_SESSION["abschluss_annahme"]);
    $smarty->assign('abschluss_pflichtfelder', "1");
    $smarty->assign('abschluss_error_text', "Es ist zu einem Fehler gekommen. Bitte begr&uuml;nden Sie Ihre Entscheidung");
  }else{

  }
    
}

if($action == 'step3a'){
#echo $action;
  
#         echo "<hr>";
#         echo nl2br(print_r($_SESSION,true));
#         echo "<hr>";
         
  if(isset($_POST["abschluss_bemerkung"])){
    $abschluss_bemerkung = $_POST["abschluss_bemerkung"];
    $_SESSION["abschluss_bemerkung"] = $abschluss_bemerkung;
  }
  
  if($_SESSION["abschluss_bemerkung"] == ''){
    $fehler = 1;
    echo "<meta http-equiv=\"refresh\" content=\"0; URL=".$_SERVER['PHP_SELF']."?action=step3&error=1\">";
  }
  
  if(!isset($fehler )){
  
    if($_GET['error'] == 1){
      $smarty->assign('abschluss_pflichtfelder', "1");
      $smarty->assign('abschluss_error_text', "Es ist zu einem Fehler gekommen. Bitte f&uuml;llen Sie mind. 1 Pflichtfeld aus!");
    }else{
      $vid = $_SESSION["abschluss_vid"];
      $db = dbconnect();
      $result = $db->query("SELECT annahme, ziel, begruendung, umsetzung, praemierung
                               FROM imt_bew_vorschlag
                              WHERE vid = '$vid'");
      $row = $result->fetch_array();
    
      # Daten aufbereiten für zurückbutton
      if(isset($_SESSION["abschluss_chk1"])){
        $smarty->assign('abschluss_chk1', $_SESSION["abschluss_chk1"]);
      }else{
        if(preg_match("/1/",$row['ziel'])){
          $smarty->assign('abschluss_chk1', 1);
        }else{
          $smarty->assign('abschluss_chk1', 0);
        }
      }

      if(isset($_SESSION["abschluss_chk2"])){
        $smarty->assign('abschluss_chk2', $_SESSION["abschluss_chk2"]);
      }else{
        if(preg_match("/2/",$row['ziel'])){
          $smarty->assign('abschluss_chk2', 2);
        }else{
          $smarty->assign('abschluss_chk2', 0);
        }
      }
      
      if(isset($_SESSION["abschluss_chk3"])){
        $smarty->assign('abschluss_chk3', $_SESSION["abschluss_chk3"]);
      }else{
        if(preg_match("/3/",$row['ziel'])){
          $smarty->assign('abschluss_chk3', 3);
        }else{
          $smarty->assign('abschluss_chk3', 0);
        }
      }
      
      if(isset($_SESSION["abschluss_chk4"])){
        $smarty->assign('abschluss_chk4', $_SESSION["abschluss_chk4"]);
      }else{
        if(preg_match("/4/",$row['ziel'])){
          $smarty->assign('abschluss_chk4', 4);
        }else{
          $smarty->assign('abschluss_chk4', 0);
        }
      }
      
      if(isset($_SESSION["abschluss_chk5"])){
        $smarty->assign('abschluss_chk5', $_SESSION["abschluss_chk5"]);
      }else{
        if(preg_match("/5/",$row['ziel'])){
          $smarty->assign('abschluss_chk5', 5);
        }else{
          $smarty->assign('abschluss_chk5', 0);
        }
      }
    
    }

    
  }
}



if($action == 'step4'){
#echo $action;
  

  
  # Daten aufbereiten für zurückbutton
  if(isset($_SESSION["abschluss_praemie"])){
    $smarty->assign('abschluss_praemie', $_SESSION["abschluss_praemie"]);
  }else{
    $smarty->assign('abschluss_praemie', "J");
  }
  

  if(isset($_GET['back'])){ ## Kenner wird bei Step 5 im Zurückbutton gesetzt
    $abschluss_chk1 = $_SESSION["abschluss_chk1"];
    $abschluss_chk2 = $_SESSION["abschluss_chk2"];
    $abschluss_chk3 = $_SESSION["abschluss_chk3"];
    $abschluss_chk4 = $_SESSION["abschluss_chk4"];
    $abschluss_chk5 = $_SESSION["abschluss_chk5"];
  }else{
    if(isset($_POST["chk1"])){
      $abschluss_chk1 = $_POST["chk1"];
      $_SESSION["abschluss_chk1"] = $abschluss_chk1;
    }else{
      $_SESSION["abschluss_chk1"] = "";
    }
    
    if(isset($_POST["chk2"])){
      $abschluss_chk2 = $_POST["chk2"];
      $_SESSION["abschluss_chk2"] = $abschluss_chk2;
    }else{
      $_SESSION["abschluss_chk2"] = "";
    }
    
    if(isset($_POST["chk3"])){
      $abschluss_chk3 = $_POST["chk3"];
      $_SESSION["abschluss_chk3"] = $abschluss_chk3;
    }else{
      $_SESSION["abschluss_chk3"] = "";
    }
    
    if(isset($_POST["chk4"])){
      $abschluss_chk4 = $_POST["chk4"];
      $_SESSION["abschluss_chk4"] = $abschluss_chk4;
    }else{
      $_SESSION["abschluss_chk4"] = "";
    }
    
    if(isset($_POST["chk5"])){
      $abschluss_chk5 = $_POST["chk5"];
      $_SESSION["abschluss_chk5"] = $abschluss_chk5;
    }else{
      $_SESSION["abschluss_chk5"] = "";
    }
  }



/*  
  if(isset($_POST["chk1"])){
    $abschluss_chk1 = $_POST["chk1"];
    $_SESSION["abschluss_chk1"] = $abschluss_chk1;
  }else{
    unset($_SESSION["abschluss_chk1"]);
    $abschluss_chk1 = "";
  }
  
  if(isset($_POST["chk2"])){
    $abschluss_chk2 = $_POST["chk2"];
    $_SESSION["abschluss_chk2"] = $abschluss_chk2;
  }else{
    unset($_SESSION["abschluss_chk2"]);
    $abschluss_chk2 = "";
  }
*/  
  ## Fehler, wenn keine Checkboxen ausgefüllt wurden
  if($abschluss_chk1 == "" AND $abschluss_chk2 == "" AND $abschluss_chk3 == "" AND $abschluss_chk4 == "" AND $abschluss_chk5 == ""){
    $fehler = 1;
    echo "<meta http-equiv=\"refresh\" content=\"0; URL=".$_SERVER['PHP_SELF']."?action=step3a&error=1\">";
  }
  
  if(!isset($fehler )){
    


    
  }
  

}


if($action == 'step5'){
#echo $action;

  # Wenn der Vorschlag abgelehnt wurde, dann darf nur ein Teil des Prämienkatalogs abgefragt werden
  # Übergabe der Entscheidung in html:
  $smarty->assign('abschluss_annahme', $_SESSION["abschluss_annahme"]);
  
  
  
  # Daten aufbereiten für zurückbutton
  if(isset($_SESSION["abschluss_praemie1"])){
    $smarty->assign('abschluss_praemie1', $_SESSION["abschluss_praemie1"]);
  }else{
    # Defaultwerte
    if($_SESSION["abschluss_annahme"] == 'J'){
      $smarty->assign('abschluss_praemie1', "1");
    }else{
      # Punkt 1 gibt es bei Ablehnung eines Vorschlags nicht: Min. 2 Punkte, mind. 5 Punkte
      $smarty->assign('abschluss_praemie1', "2");
    }
  }
  
  if(isset($_SESSION["abschluss_praemie2"])){
    $smarty->assign('abschluss_praemie2', $_SESSION["abschluss_praemie2"]);
  }else{
    # Defaultwerte
    if($_SESSION["abschluss_annahme"] == 'J'){
      $smarty->assign('abschluss_praemie2', "1");
    }else{
      # Punkt 1 gibt es bei Ablehnung eines Vorschlags nicht: Min. 2 Punkte, mind. 5 Punkte
      $smarty->assign('abschluss_praemie2', "3");
    }
  }
  
  if(isset($_SESSION["abschluss_praemie3"])){
    $smarty->assign('abschluss_praemie3', $_SESSION["abschluss_praemie3"]);
  }else{
    $smarty->assign('abschluss_praemie3', "1");
  }
  
  if(isset($_SESSION["abschluss_praemie4"])){
    $smarty->assign('abschluss_praemie4', $_SESSION["abschluss_praemie4"]);
  }else{
    $smarty->assign('abschluss_praemie4', "1");
  }
   


    if(isset($_POST["praemie"])){
      $praemie = $_POST["praemie"];
      $_SESSION["abschluss_praemie"] = $praemie;
    }
    
    $smarty->assign('abschluss_praemie', $_SESSION["abschluss_praemie"]);
    if($_SESSION["abschluss_praemie"] == 'J'){
      # Bei Ja, den Fragenkatalog einblenden

    }
    
    if($_SESSION["abschluss_praemie"] == 'N'){
      # Bei Nein, den Weiter mit den Informationsfelder (step7)
      echo "<meta http-equiv=\"refresh\" content=\"0; URL=".$_SERVER['PHP_SELF']."?action=step7\">";
    }
    

}

if($action == 'step6'){
#echo $action;
  


    if(isset($_POST["praemie_1"])){
      $praemie1 = $_POST["praemie_1"];
      $_SESSION["abschluss_praemie1"] = $praemie1;
      $praemie2 = $_POST["praemie_2"];
      $_SESSION["abschluss_praemie2"] = $praemie2;
      $praemie3 = $_POST["praemie_3"];
      $_SESSION["abschluss_praemie3"] = $praemie3;
      $praemie4 = $_POST["praemie_4"];
      $_SESSION["abschluss_praemie4"] = $praemie4;
      
      $praemie_punkte = $praemie1+$praemie2+$praemie3+$praemie4;
      $_SESSION["abschluss_praemiepunkte"] = $praemie_punkte;
    }
    
    # Prämie bei angenommenem Vorschlag
    if($_SESSION["abschluss_annahme"] == 'J'){
    
      $db = dbconnect();
      $result = $db->query("SELECT klasse, praemie_euro, praemie_dienstfrei
                                   FROM imt_praemie
                                 WHERE punkte_umsetzbar = $_SESSION[abschluss_praemiepunkte]");
      $row = $result->fetch_array();
      
      $gutschein = "$row[praemie_euro]";
      $dienstbefreiung = "$row[praemie_dienstfrei]";
      #Pr&auml;mienklasse 
      $klassierung = "$row[klasse]";
    }
    
    # Prämie bei abgelehntem Vorschlag
    if($_SESSION["abschluss_annahme"] == 'N'){
      $db = dbconnect();
      $result = $db->query("SELECT klasse, praemie_euro, praemie_dienstfrei
                                   FROM imt_praemie
                                 WHERE punkte_nicht_umsetzbar = $_SESSION[abschluss_praemiepunkte]");
      $row = $result->fetch_array();
      
      $gutschein = "$row[praemie_euro]";
      $dienstbefreiung = "$row[praemie_dienstfrei]";
      #Pr&auml;mienklasse 
      $klassierung = "$row[klasse]";
    }
    


    $_SESSION["abschluss_guschein"] = $gutschein;
    $_SESSION["abschluss_dienstbefreiung"] = $dienstbefreiung;
    $_SESSION["abschluss_klassierung"] = $klassierung;
    
    
    if(isset($_SESSION["abschluss_gutschein_or_befreiung"])){
      $smarty->assign('abschluss_gutschein_or_befreiung', $_SESSION["abschluss_gutschein_or_befreiung"]);
    }else{
      $smarty->assign('abschluss_gutschein_or_befreiung', "gutschein");
    }
  
  
    $query_public = $db->query("SELECT public
                                   FROM imt_vorschlag
                                  WHERE vid = '$_SESSION[abschluss_vid]'
                               ") or die(mysql_error()); // Change users to the database where you keep your usernames, and likewise with username
    $row_public = $query_public->fetch_array();
    
    if($row_public["public"] == 'Y'){
      $public = "Y";
      $public_text = "Liegt vor";
    }else{
      $public = "N";
      $public_text = "Liegt nicht vor";
    }
    $_SESSION["abschluss_public"] = $public;
    
    
    # Feldname anpassen Gutschein /Prämie
    if($_SESSION["abschluss_klassierung"] >= 3){
      $smarty->assign('abschluss_field_gutschein', "Pr&auml;mie:");
    }else{
      $smarty->assign('abschluss_field_gutschein', "Gutschein:");
    }
    
    $smarty->assign('abschluss_praemiepunkte', $_SESSION["abschluss_praemiepunkte"]);
    $smarty->assign('abschluss_guschein', $_SESSION["abschluss_guschein"]);
    $smarty->assign('abschluss_dienstbefreiung', $_SESSION["abschluss_dienstbefreiung"]);
    $smarty->assign('abschluss_klassierung', $_SESSION["abschluss_klassierung"]);
    $smarty->assign('abschluss_public_text', $public_text);
   

}

if($action == 'step7'){
#echo $action;

  if($_SESSION["abschluss_annahme"] == 'N'){
    # Bei Nein, den Weiter mit den Informationsfelder (step8)
    echo "<meta http-equiv=\"refresh\" content=\"0; URL=".$_SERVER['PHP_SELF']."?action=step8\">";
  }
    
  if($_SESSION["abschluss_praemie"] == 'N'){
    $smarty->assign('abschluss_backlink', "step4");
  }else{
    $smarty->assign('abschluss_backlink', "step6");
  }
  
  # Daten aufbereiten für zurückbutton
  if(isset($_SESSION["abschluss_information_massnahme"])){
    $smarty->assign('abschluss_information_massnahme', $_SESSION["abschluss_information_massnahme"]);
  }
  
  if(isset($_SESSION["abschluss_information_sachstand"])){
    $smarty->assign('abschluss_information_sachstand', $_SESSION["abschluss_information_sachstand"]);
  }
  
  
  if($_GET['error'] == 1){
    $smarty->assign('abschluss_pflichtfelder', "1");
    $smarty->assign('abschluss_error_text', "Es ist zu einem Fehler gekommen. Bitte f&uuml;llen Sie das Feld &uuml;ber die geplanten Ma&szlig;nahmen aus");
  }else{
  
    if(isset($_POST["abschluss_praemie_gutschein"])){
      $_SESSION["abschluss_guschein_save"] = 1;
      $_SESSION["abschluss_guschein"] = $_POST["abschluss_praemie_gutschein"];
    }else{
      unset($_SESSION["abschluss_guschein_save"]);
    }
    
    if(isset($_POST["abschluss_gutschein_or_befreiung"])){
      $_SESSION["abschluss_gutschein_or_befreiung"] = $_POST["abschluss_gutschein_or_befreiung"];
    }
    
    if($_SESSION["abschluss_dienstbefreiung"] == 0){
      ## Hier muss noch rein, dass gutschein ist, wenn keine Auswahl kommt, achtung auf zurück button
      $_SESSION["abschluss_gutschein_or_befreiung"] = "gutschein";
    }
    
    
  }
  
}


if($action == 'step8'){
# echo $action;

# echo "<hr>";
# echo nl2br(print_r($_SESSION,true));
# echo "<hr>";
  
  if($_SESSION["abschluss_annahme"] == 'N' AND $_SESSION["abschluss_praemie"] == 'N'){
    $smarty->assign('abschluss_backlink', "step4");
  }elseif($_SESSION["abschluss_annahme"] == 'J' AND $_SESSION["abschluss_praemie"] == 'N'){
    $smarty->assign('abschluss_backlink', "step7");
  }elseif($_SESSION["abschluss_annahme"] == 'N' AND $_SESSION["abschluss_praemie"] == 'J'){
    $smarty->assign('abschluss_backlink', "step6");
  }else{
    $smarty->assign('abschluss_backlink', "step7");
  }
  
  
  if(isset($_POST["abschluss_information_massnahme"])){
    $abschluss_information_massnahme = $_POST["abschluss_information_massnahme"];
    $_SESSION["abschluss_information_massnahme"] = $abschluss_information_massnahme;  
  }


  if(isset($_POST["abschluss_information_sachstand"])){
    $abschluss_information_sachstand = $_POST["abschluss_information_sachstand"];
    $_SESSION["abschluss_information_sachstand"] = $abschluss_information_sachstand;  
  }
  
  if($_SESSION["abschluss_information_massnahme"] == '' AND $_SESSION["abschluss_annahme"] == 'J'){
    $fehler = 1;
    echo "<meta http-equiv=\"refresh\" content=\"0; URL=".$_SERVER['PHP_SELF']."?action=step7&error=1\">";
  }    
  
  if(!isset($fehler )){
    
    if($_SESSION["abschluss_praemie"] == 'N'){
    # Man kann die Prämienpunkte Beit step4 mit nein bestätigen, dann darf es diese Variablen nicht geben.
    # Wenn man zuerst ja gedrückt hat, die Prämie ausgefüllt hat und dann zurück und Prämie=N gewählt hat würde es die Var trotzdem geben
      unset($_SESSION["abschluss_guschein"]);
      unset($_SESSION["abschluss_dienstbefreiung"]);
      unset($_SESSION["abschluss_klassierung"]);
      unset($_SESSION["abschluss_praemiepunkte"]);
    }
    
    $abschluss_annahme = $_SESSION["abschluss_annahme"];
    if($abschluss_annahme == 'J'){
      $smarty->assign('abschluss_annahme', "Ja");
    }else{
      $smarty->assign('abschluss_annahme', "Nein");
    }
    
    $abschluss_bemerkung = $_SESSION["abschluss_bemerkung"];
    $smarty->assign('abschluss_bemerkung', $abschluss_bemerkung);
    
    
    if($_SESSION["abschluss_chk1"] == 1){
      $smarty->assign('abschluss_chk1_txt', 1);
    }
    
    if($_SESSION["abschluss_chk2"] == 2){
      $smarty->assign('abschluss_chk2_txt', 2);
    }
    
    if($_SESSION["abschluss_chk3"] == 3){
      $smarty->assign('abschluss_chk3_txt', 3);
    }
    
    if($_SESSION["abschluss_chk4"] == 4){
      $smarty->assign('abschluss_chk4_txt', 4);
    }
    
    if($_SESSION["abschluss_chk5"] == 5){
      $smarty->assign('abschluss_chk5_txt', 5);
    }
    
    
    
    
    $query_public = $db->query("SELECT public
                                   FROM imt_vorschlag
                                  WHERE vid = '$_SESSION[abschluss_vid]'
                               ") or die(mysql_error()); // Change users to the database where you keep your usernames, and likewise with username
    $row_public = $query_public->fetch_array();
    
    if($row_public["public"] == 'Y'){
      $public = "Y";
      $public_text = "Liegt vor";
    }else{
      $public = "N";
      $public_text = "Liegt nicht vor";
    }
    $_SESSION["abschluss_public"] = $public;
    
    $smarty->assign('abschluss_public', $public_text);
    
    
    $abschluss_vid = $_SESSION["abschluss_vid"];
    $smarty->assign('abschluss_vid', $abschluss_vid);
    
    $abschluss_information_massnahme = $_SESSION["abschluss_information_massnahme"];
    $smarty->assign('abschluss_information_massnahme', $abschluss_information_massnahme);
    
    $abschluss_information_sachstand = $_SESSION["abschluss_information_sachstand"];
    $smarty->assign('abschluss_information_sachstand', $abschluss_information_sachstand);
    
    $abschluss_praemiepunkte = $_SESSION["abschluss_praemiepunkte"];
    $smarty->assign('abschluss_praemiepunkte', $abschluss_praemiepunkte);
    
    $abschluss_guschein = $_SESSION["abschluss_guschein"];
    $smarty->assign('abschluss_guschein', $abschluss_guschein);
    
    $abschluss_dienstbefreiung = $_SESSION["abschluss_dienstbefreiung"];
    $smarty->assign('abschluss_dienstbefreiung', $abschluss_dienstbefreiung);
    
    $abschluss_klassierung = $_SESSION["abschluss_klassierung"];
    $smarty->assign('abschluss_klassierung', $abschluss_klassierung);
    
    $abschluss_gutschein_or_befreiung = $_SESSION["abschluss_gutschein_or_befreiung"];
    $smarty->assign('abschluss_gutschein_or_befreiung', $abschluss_gutschein_or_befreiung);
    
    # Feldname anpassen Gutschein /Prämie
    if($_SESSION["abschluss_klassierung"] >= 3 AND $_SESSION["abschluss_gutschein_or_befreiung"] == 'gutschein'){
      $smarty->assign('abschluss_field_gutschein8', "Pr&auml;mie:");
      $_SESSION["abschluss_klassierung_kurzel"] = 'P'; # Prämie
    }elseif($_SESSION["abschluss_klassierung"] < 3 AND $_SESSION["abschluss_gutschein_or_befreiung"] == 'gutschein'){
      $smarty->assign('abschluss_field_gutschein8', "Gutschein:");
      $_SESSION["abschluss_klassierung_kurzel"] = 'G'; # Gutschein
    }else{
      $_SESSION["abschluss_klassierung_kurzel"] = 'B'; # Befreiung
    }

    
/*    
    echo "<br><hr><br>Ausgabe der Variablen f&uuml;r den Eintrag in die Datenbank...<br>";
    echo nl2br(print_r($_SESSION,true)); 
    echo "<br><hr>";
*/
  }



}

if($action == 'step9'){
#echo $action;


    $aend_dat = date("Y-m-d H:i:s");
    $abschluss_vid = $_SESSION["abschluss_vid"];
    $abschluss_annahme = $_SESSION["abschluss_annahme"];
    $abschluss_bemerkung = $_SESSION["abschluss_bemerkung"];
    $abschluss_praemie = $_SESSION["abschluss_praemie"];
    $abschluss_guschein = $_SESSION["abschluss_guschein"];
    $abschluss_dienstbefreiung = $_SESSION["abschluss_dienstbefreiung"];
    $abschluss_klassierung = $_SESSION["abschluss_klassierung"];
    $abschluss_information_massnahme = $_SESSION["abschluss_information_massnahme"];
    $abschluss_information_sachstand = $_SESSION["abschluss_information_sachstand"];
    $abschluss_ziel = trim("$_SESSION[abschluss_chk1]$_SESSION[abschluss_chk2]$_SESSION[abschluss_chk3]$_SESSION[abschluss_chk4]$_SESSION[abschluss_chk5]");

    if($_SESSION["abschluss_praemie"] =='N'){
      unset($_SESSION["abschluss_praemie1"]);
      unset($_SESSION["abschluss_praemie2"]);
      unset($_SESSION["abschluss_praemie3"]);
      unset($_SESSION["abschluss_praemie4"]);
      unset($_SESSION["abschluss_praemiepunkte"]);
      $abschluss_praemie1 = '';
      $abschluss_praemie2 = '';
      $abschluss_praemie3 = '';
      $abschluss_praemie4 = '';
      $abschluss_praemiepunkte = '';
      $abschluss_klassierung_kurzel = '';
    }else{
      $abschluss_praemie1 = $_SESSION["abschluss_praemie1"];
      $abschluss_praemie2 = $_SESSION["abschluss_praemie2"];
      $abschluss_praemie3 = $_SESSION["abschluss_praemie3"];
      $abschluss_praemie4 = $_SESSION["abschluss_praemie4"];
      $abschluss_praemiepunkte = $_SESSION["abschluss_praemiepunkte"];
      $abschluss_klassierung_kurzel = $_SESSION["abschluss_klassierung_kurzel"];
    }
    
    $db = dbconnect();
    
    if(!isset($_SESSION["abschluss_veid"])){
      # Schritt 1: Daten erfassen
      $sql1 = $db->query("INSERT INTO imt_vorschlag_ende ( erfass_dat
                                                          , vid
                                                          , annahme
                                                          , annahme_bemerkung
                                                          , ziel
                                                          , praemie
                                                          , punkte_praemie1
                                                          , punkte_praemie2
                                                          , punkte_praemie3
                                                          , punkte_praemie4
                                                          , punkte_gesamt
                                                          , praemie_gutschein
                                                          , dienstbefreiung
                                                          , klassierung
                                                          , massnahme
                                                          , sachstand
                                                          , praemienart
                                                          )
                                     VALUES
                                                          ( '$aend_dat'
                                                          , '$abschluss_vid'
                                                          , '$abschluss_annahme'
                                                          , '$abschluss_bemerkung'
                                                          , '$abschluss_ziel'
                                                          , '$abschluss_praemie'
                                                          , '$abschluss_praemie1'
                                                          , '$abschluss_praemie2'
                                                          , '$abschluss_praemie3'
                                                          , '$abschluss_praemie4'
                                                          , '$abschluss_praemiepunkte'
                                                          , '$abschluss_guschein'
                                                          , '$abschluss_dienstbefreiung'
                                                          , '$abschluss_klassierung'
                                                          , '$abschluss_information_massnahme'
                                                          , '$abschluss_information_sachstand'
                                                          , '$abschluss_klassierung_kurzel'
                                                          )
                        ");
            echo "INSERT INTO imt_vorschlag_ende ( erfass_dat
                                                          , vid
                                                          , annahme
                                                          , annahme_bemerkung
                                                          , ziel
                                                          , praemie
                                                          , punkte_praemie1
                                                          , punkte_praemie2
                                                          , punkte_praemie3
                                                          , punkte_praemie4
                                                          , punkte_gesamt
                                                          , praemie_gutschein
                                                          , dienstbefreiung
                                                          , klassierung
                                                          , massnahme
                                                          , sachstand
                                                          , praemienart
                                                          )
                                     VALUES
                                                          ( '$aend_dat'
                                                          , '$abschluss_vid'
                                                          , '$abschluss_annahme'
                                                          , '$abschluss_bemerkung'
                                                          , '$abschluss_ziel'
                                                          , '$abschluss_praemie'
                                                          , '$abschluss_praemie1'
                                                          , '$abschluss_praemie2'
                                                          , '$abschluss_praemie3'
                                                          , '$abschluss_praemie4'
                                                          , '$abschluss_praemiepunkte'
                                                          , '$abschluss_guschein'
                                                          , '$abschluss_dienstbefreiung'
                                                          , '$abschluss_klassierung'
                                                          , '$abschluss_information_massnahme'
                                                          , '$abschluss_information_sachstand'
                                                          , '$abschluss_klassierung_kurzel'
                                                          )
                        ";
      $veid = $db->insert_id;
      $_SESSION["abschluss_veid"] = $veid;
      
      if($_SESSION["abschluss_annahme"] == 'J'){
        $result_stat = $db->query("SELECT count(*) Anz
                                      FROM imt_verlauf
                                     WHERE vid = '$_SESSION[abschluss_vid]'
                                       AND status = '7'");
        $row_stat = $result_stat->fetch_array();
        if($row_stat[Anz] == 0){
          verlauf($uid, $_SESSION["abschluss_vid"], 'Vorschlag wurde angenommen', '7', $aend_dat);  
        }
      }

      
      if($_SESSION["abschluss_annahme"] == 'N'){
        $result_stat = $db->query("SELECT count(*) Anz
                                      FROM imt_verlauf
                                     WHERE vid = '$_SESSION[abschluss_vid]'
                                       AND status = '8'");
        $row_stat = $result_stat->fetch_array();
        if($row_stat[Anz] == 0){
          verlauf($uid, $_SESSION["abschluss_vid"], 'Vorschlag wurde ausgeschlossen', '8', $aend_dat);  
        }
      }
      
      
      $query_ga = $db->query("SELECT uid, a.imtuid, passwort, vorname, nachname, betreff
                                 FROM imt_user a, imt_vorschlag b
                                WHERE a.imtuid=b.imtuid
                                  AND b.vid='$_SESSION[abschluss_vid]'") or die(mysql_error()); // Change users to the database where you keep your usernames, and likewise with username
      $row_ga = $query_ga->fetch_array();
      
      $query_entscheidung = $db->query("SELECT annahme, annahme_bemerkung
                                           FROM imt_vorschlag_ende
                                          WHERE vid='$_SESSION[abschluss_vid]'") or die(mysql_error()); // Change users to the database where you keep your usernames, and likewise with username
      $row_entscheidung = $query_entscheidung->fetch_array();
      
      if($row_entscheidung[annahme] == 'J'){
        $entscheidung = 'angenommen';
      }else{
        $entscheidung = 'abgelehnt';
      }
        $empfaenger = "$row_ga[imtuid]";
        $betreff = "Entscheidung Vorschlag $_SESSION[abschluss_vid]";
        $text = "
          <html>
          <head>
          <title>Entscheidung Vorschlag</title>
          </head>
          <body>
          <font face='Arial' size='2'>
          Guten Tag $row_ga[vorname] $row_ga[nachname]!
          <br /><br />
          Im Rahmen des Ideenmanagements ist ein Verbesserungsvorschlag eingegangen. 
          Ihr Vorschlag wurde wie folgt entschieden: 
	  
          <br />
          <br />
          <table>
          <tr>
             <td valign='top'>
               <font face='Arial' size='2'>
                 <b>Vorschlag:</b>
               </font>
             </td>
             <td valign='top'>
               <font face='Arial' size='2'>
                 $row_ga[betreff]
               </font>
             </td>
          </tr>
          <tr>
             <td valign='top'>
               <font face='Arial' size='2'>
                 <b>ID:</b>
               </font>
             </td>
             <td valign='top'>
               <font face='Arial' size='2'>
                 $_SESSION[abschluss_vid]
               </font>
             </td>
          </tr>
          <tr>
             <td valign='top'>
               <font face='Arial' size='2'>
                 <b>Entscheidung:</b>
               </font>
             </td>
             <td valign='top'>
               <font face='Arial' size='2'>
                 $entscheidung
               </font>
             </td>
          </tr>
          <tr>
             <td valign='top'>
               <font face='Arial' size='2'>
                 <b>Bemerkung:</b>
               </font>
             </td>
             <td valign='top'>
               <font face='Arial' size='2'>
                 $row_entscheidung[annahme_bemerkung]
               </font>
             </td>
          </tr>
          </table>
          <br />
          Bei Fragen wenden Sie sich bitte an den <a href=\"mailto:$global_service_mail?subject=Frage zu ID: $_SESSION[abschluss_vid]\">Qualit&auml;tsmanagementbeauftragten.</a>
          <p>
          Diese Mail wurde automatisch generiert!<br />
          Antworten Sie daher nicht auf diese Mail.<br />
          <br />
          Vielen Dank!
          </body>
          </html>";
      

          #mail_einstell($_SESSION[abschluss_vid], $uid, $empfaenger, NULL, NULL, $betreff, $text, 110, NULL);
          
      
      
      # Prüfen ob Gutachterrecht / Beteiligtenrecht noch gebraucht wird, ggf löschen
      gutachter_beteiligter_del($_SESSION["abschluss_vid"]);
    }
}

if($action == 'zuruckstell'){
  $vid = $_SESSION["abschluss_vid"];
  $smarty->assign('abschluss_zuruckstell_vid', $vid);
  
  $db = dbconnect();
  $result = $db->query("SELECT betreff
                           FROM imt_vorschlag
                          WHERE vid = '$vid'");
  $row = $result->fetch_array();  
  $smarty->assign('abschluss_zuruckstell_betreff', $row['betreff']);

}


if($action == 'zuruckstell1'){
  $vid = $_SESSION["abschluss_vid"];
  $sql = $db->query ("DELETE FROM imt_sitzungen_vorschlag WHERE vid='$vid'");
  $Link = basename($_SERVER['PHP_SELF'])."?new=1";
  echo "
    <meta http-equiv=\"refresh\" content=\"2; URL=$Link\">
  ";

}

if($action == 'zuruckstell2'){

$Link = basename($_SERVER['PHP_SELF'])."?new=1";
echo "
  <meta http-equiv=\"refresh\" content=\"0; URL=$Link\">
";
}

$smarty->assign('action', "$action");
$smarty->display("$template/$templatename");
?>
